#28986 closed enhancement (duplicate)

sage_spkg_configure.m4: Improve messages

Reported by: mkoeppe Owned by:
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: build: configure Keywords:
Cc: dimpase Merged in:
Authors: Matthias Koeppe Reviewers:
Report Upstream: N/A Work issues:
Branch: public/28986-sage_spkg_configure.m4-improve-messages (Commits, GitHub, GitLab) Commit: 651cd3a6fb0a3e96afbb66f9d6bdde587500f7d1
Dependencies: Stopgaps:

Status badges

Description

When rebuilding, configure prints many messages of the following form:

configure: === checking whether to install the zlib SPKG ===
configure: === checking whether to install the libpng SPKG ===
configure: === checking whether to install the freetype SPKG ===

with no indication of actual tests or the result of the check. This ticket adds some helpful output.

Change History (8)

comment:1 Changed 15 months ago by mkoeppe

  • Branch set to public/28986-sage_spkg_configure.m4-improve-messages

comment:2 Changed 15 months ago by mkoeppe

  • Commit set to 651cd3a6fb0a3e96afbb66f9d6bdde587500f7d1
  • Status changed from new to needs_review

New commits:

651cd3am4/sage_spkg_configure.m4: Improve messages

comment:3 Changed 15 months ago by dimpase

how about is already rather than was previously in the message?

comment:4 Changed 15 months ago by jhpalmieri

Is there any connection with #28788? If not, should there be?

Last edited 15 months ago by jhpalmieri (previous) (diff)

comment:5 Changed 15 months ago by mkoeppe

Thanks, I wasn't aware of that ticket.

comment:6 Changed 15 months ago by mkoeppe

  • Milestone changed from sage-9.1 to sage-duplicate/invalid/wontfix

comment:7 Changed 13 months ago by mjo

  • Status changed from needs_review to positive_review

I guess this just need a positive review to get closed...

comment:8 Changed 13 months ago by chapoton

  • Resolution set to duplicate
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.